# Используем базовый образ Debian Trixie (13)
FROM debian:trixie-slim

# Отключаем интерактивные запросы при установке пакетов
ENV DEBIAN_FRONTEND=noninteractive

# Обновляем список пакетов и устанавливаем необходимые зависимости
RUN apt-get update && apt-get install -y \
    # Базовые утилиты
    wget \
    curl \
    # вообще нахуй не надо, но пусть будет
    gnupg \
    lsb-release \
    # Vulkan Loader и инструменты
    libvulkan1 \
    vulkan-tools \
    # Драйверы Mesa (LLVMpipe для программного рендеринга)
    mesa-vulkan-drivers \
    # Заголовочные файлы для разработки (опционально)
    libvulkan-dev \
    # Дополнительные утилиты
    mesa-utils \
    # Библиотека без которой ничего не работает
    libgomp1 \
    && rm -rf /var/lib/apt/lists/*

# Устанавливаем переменную окружения для Vulkan Loader
ENV VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/radeon_icd.json
#ENV VK_ICD_FILENAMES=/usr/share/vulkan/icd.d/lvp_icd.x86_64.json

# Опционально: копируем ваше приложение в контейнер
COPY ./app/tts-server /app/
COPY ./app/*so* /usr/local/lib/

RUN ldconfig && \
    echo "/usr/local/lib" > /etc/ld.so.conf.d/custom-libs.conf && \
    ldconfig
ENV LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH

WORKDIR /app
# Команда по умолчанию (замените на свою)
CMD ["/app/tts-server"]
